/**
 * Copyright (C) 2010 OSGi fuer Praktiker <info@osgi-buch.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package biz.gossipmonger.chirp

import org.osgi.service.log.LogService
import org.osgi.framework.{ BundleActivator, BundleContext, ServiceReference }
import org.eclipse.scalamodules._

import com.tedneward.scitter._

class Chirp extends BundleActivator {

  override def start(context: BundleContext) {
    val chirp = new LogService {
      override def log (level: Int, message: String) {
        log(null, level, message, null)
      }
      override def log (level: Int, message: String, exception: Throwable) {
        log(null, level, message, exception)
      }
      override def log (sr: ServiceReference, level: Int, message: String) {
        log(sr, level, message, null)
      }
      override def log (sr: ServiceReference, level: Int, message: String, exception: Throwable) {
        val twitter = new Scitter("enunciator","gossipmonger")
        twitter update message
      }
    }
    context createService chirp
  }

  override def stop(context: BundleContext) {}

}

